%global gem_name Ascii85
Name:                rubygem-%{gem_name}
Version:             1.1.0
Release:             1
Summary:             Ascii85 encoder/decoder
License:             MIT
URL:                 https://github.com/DataWraith/ascii85gem
Source0:             https://rubygems.org/gems/Ascii85-%{version}.gem
Source1:             ascii85.1.pod.tgz
BuildRequires:       ruby(release) rubygems-devel rubygem(minitest) %{_bindir}/pod2man
BuildArch:           noarch
%description
Ascii85 provides methods to encode/decode Adobe's binary-to-text encoding of
the same name.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version} -b 1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install
pod2man --center "" --release "" --name ASCII85 --utf8 --section=1 ../ascii85.1.pod ../ascii85.1

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
mv %{buildroot}%{gem_instdir}/{History.txt,README.md} ./
rm -rf %{buildroot}%{gem_instdir}/.travis.yml
install -D -m 644 ../ascii85.1 %{buildroot}%{_mandir}/man1/ascii85.1 
sed -i 's|#!/usr/bin/env ruby|#!/usr/bin/ruby|' %{buildroot}%{gem_instdir}/bin/ascii85
 
%check
pushd .%{gem_instdir}
ruby -e 'Dir.glob "./spec/**/*_spec.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/ascii85
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{_mandir}/man1/ascii85.1*

%files doc
%doc History.txt README.md
%doc %{gem_docdir}
%{gem_instdir}/Ascii85.gemspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Jun 28 2022 baizhonggui <baizhonggui@h-partners.com> - 1.1.0-1
- update to 1.1.0

* Wed Aug 5 2020 wangchong <wangchong56@huawei.com> - 1.0.2-1
- package init
